# mpi4py.MPI.Message

class mpi4py.MPI.Message

  Bases: `object`

  Matched message.

  static __new__(cls, message=None)
    Parameters:

      message (Message | None)

    Return type:

      Self

  Methods Summary

  `Iprobe`(comm[, source, tag, status]) | Nonblocking test for a matched message.
  `Irecv`(buf) | Nonblocking receive of matched message.
  `Probe`(comm[, source, tag, status]) | Blocking test for a matched message.
  `Recv`(buf[, status]) | Blocking receive of matched message.
  `f2py`(arg) |
  `free`() | Do nothing.
  `fromhandle`(handle) | Create object from MPI handle.
  `fromint`(arg, /) | Translate integer handle to object.
  `iprobe`(comm[, source, tag, status]) | Nonblocking test for a matched message.
  `irecv`() | Nonblocking receive of matched message.
  `probe`(comm[, source, tag, status]) | Blocking test for a matched message.
  `py2f`() |
  `recv`([status]) | Blocking receive of matched message.
  `toint`() | Translate object to integer handle.

  Attributes Summary

  `handle` | MPI handle.

  Methods Documentation

  classmethod Iprobe(comm, source=ANY_SOURCE, tag=ANY_TAG, status=None)

    Nonblocking test for a matched message.

    Parameters:

      - comm (Comm)

      - source (int)

      - tag (int)

      - status (Status | None)

    Return type:

      Self | None

  Irecv(buf)

    Nonblocking receive of matched message.

    Parameters:

      buf (BufSpec)

    Return type:

      Request

  classmethod Probe(comm, source=ANY_SOURCE, tag=ANY_TAG, status=None)

    Blocking test for a matched message.

    Parameters:

      - comm (Comm)

      - source (int)

      - tag (int)

      - status (Status | None)

    Return type:

      Self

  Recv(buf, status=None)

    Blocking receive of matched message.

    Parameters:

      - buf (BufSpec)

      - status (Status | None)

    Return type:

      None

  classmethod f2py(arg)
    Parameters:

      arg (int)

    Return type:

      Message

  free()

    Do nothing.

    Return type:

      None

  classmethod fromhandle(handle)

    Create object from MPI handle.

    Parameters:

      handle (int)

    Return type:

      Message

  classmethod fromint(arg, /)

    Translate integer handle to object.

    Parameters:

      arg (int)

    Return type:

      Message

  classmethod iprobe(comm, source=ANY_SOURCE, tag=ANY_TAG, status=None)

    Nonblocking test for a matched message.

    Parameters:

      - comm (Comm)

      - source (int)

      - tag (int)

      - status (Status | None)

    Return type:

      Self | None

  irecv()

    Nonblocking receive of matched message.

    Return type:

      Request

  classmethod probe(comm, source=ANY_SOURCE, tag=ANY_TAG, status=None)

    Blocking test for a matched message.

    Parameters:

      - comm (Comm)

      - source (int)

      - tag (int)

      - status (Status | None)

    Return type:

      Self

  py2f()
    Return type:

      int

  recv(status=None)

    Blocking receive of matched message.

    Parameters:

      status (Status | None)

    Return type:

      Any

  toint()

    Translate object to integer handle.

    Return type:

      int

  Attributes Documentation

  handle

    MPI handle.